Subject: Re: bug#32458: Acknowledgement (SDL SEGFAULTs on foreign distro)

From: Marius Bakke <[email-masked]>
Date: Mon, 22 Oct 2018 22:50:17 +0200

Hello Tim!

Tim Gesthuizen <[email-masked]> writes:

> Hi,
> I did another bisect to find the second cause of failure.
> I used the input rewriting technique but with the fixed libepoxy definition:
>
>>> (use-modules (gnu packages)
>>>              (gnu packages games)
>>>              (gnu packages gl)
>>>              (guix packages)
>>>              (guix profiles))
>>>
>>> (define libepoxy-legacy
>>>   (package
>>>     (inherit libepoxy)
>>>     (version "1.4.0")))
>> 
>> This package is missing a (source ...) field.  So this only pretends to
>> be 1.4.0, but is actually the same as the inherited one.
>> 
>> (Also, should it not be 1.5.0?)
>
> Yes it should be. Something made me think the expression evaluating to
> the origin object in the original libepoxy definition would be
> reevaluated. And it also should be 1.5.0.
>
> I started using the small guile script using guile-sdl2 again, simply
> because I do not need to close the window manually if a commit is good
> and the program starts. Otherwise the bisect would still need human
> input. You can find the scripts that I used attached as a tar archive.
> It has some hardcoded paths though. Execute the check.sh script to check
> the current commit.
> After a really long bisect and tons of package rebuilding git found
> commit faccae1c3769c90694c2b7eee0e4e9ab53049a8f to be guilty. The commit
> updates mesa so it seems quite possible.

Woohoo, congrats!  Really great to finally nail this down.

One thing that might be worth a try before bisecting Mesa itself is
building against LLVM 3.9.1 again.  I don't know the relevance of the
"exactly 3.9.1 for swrast" comment from that commit.

We should also check whether this problem is fixed in 18.2 (available in
the 'staging' branch).

Out of curiosity, which graphics driver are you using?

> I don't have that much time right now but I will try to revert the two
> commits found so far and see whether this gets OpenGL running again on
> the master branch.

Great, thank you!